aboutsummaryrefslogtreecommitdiff
path: root/debian/chicago95-theme-plymouth.postinst
diff options
context:
space:
mode:
authorB Stack <bgstack15@gmail.com>2020-05-14 15:43:02 +0000
committerB Stack <bgstack15@gmail.com>2020-05-14 15:43:02 +0000
commit04d604d3321e20418f6bc102f16d0064f9ae450b (patch)
treec2924c2c63bf4a3652590f60460f26c81ec78e24 /debian/chicago95-theme-plymouth.postinst
parentadd devuan-unstable original dir (diff)
parentremove directory for each dpkg distro (diff)
downloadchicago95-packages-04d604d3321e20418f6bc102f16d0064f9ae450b.tar.gz
chicago95-packages-04d604d3321e20418f6bc102f16d0064f9ae450b.tar.bz2
chicago95-packages-04d604d3321e20418f6bc102f16d0064f9ae450b.zip
flatten dir structure
See merge request chicago95-packaging/chicago95-packages!1
Diffstat (limited to 'debian/chicago95-theme-plymouth.postinst')
-rw-r--r--debian/chicago95-theme-plymouth.postinst19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/chicago95-theme-plymouth.postinst b/debian/chicago95-theme-plymouth.postinst
new file mode 100644
index 0000000..43f31b1
--- /dev/null
+++ b/debian/chicago95-theme-plymouth.postinst
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+case "$1" in
+ configure| abort-upgrade|abort-remove|abort-deconfigure)
+ update-alternatives --install /usr/share/plymouth/themes/default.plymouth default.plymouth /usr/share/plymouth/themes/Chicago95/Chicago95.plymouth 80
+ update-alternatives --install /usr/share/plymouth/themes/default.plymouth default.plymouth /usr/share/plymouth/themes/RetroTux/RetroTux.plymouth 70
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+
+#DEBHELPER#
+
+exit 0
bgstack15